Campaigns
List mass messages
List a creator's bulk message campaigns using the supported status and pagination filters.
GET
/v1/agencies/{agencyId}/creators/{creatorId}/mass-messagesList a creator's bulk message campaigns using the supported status and pagination filters.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Query Parameters
search?string
Length
length <= 200status?string
Value in
- "PENDING"
- "SCHEDULED"
- "SENDING"
- "SENT"
- "CANCELED"
- "UNSENT"
- "FAILED"
dateFrom?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timedateTo?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timesortDirection?string
Default
"desc"Value in
- "asc"
- "desc"
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/creators/string/mass-messages" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "items": [ { "revertedByName": null, "tags": [ "string" ], "createdByEmployee": { "employee": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "timezone": "string", "updatedAt": "2019-08-24T14:15:22Z", "telegramEnabled": true, "discordEnabled": true, "notifyPurchase": true, "notifyNewMessage": true, "notifyHandover": true, "notifyNewSubscriber": true, "notifyNoScriptLeft": true, "notifyLowBalance": true, "discordWebhookUrl": null, "telegramChatId": null, "telegramUsername": null, "inAppEnabled": true, "emailEnabled": true }, "agencyId": "string", "isOwner": true, "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "imported": true, "importedAt": null, "color": null, "employeeId": "string", "roleId": null, "rate": null, "hourlyWage": null, "joinedAt": "2019-08-24T14:15:22Z", "removedAt": null, "emojis": [ "string" ] }, "revertedByEmployee": null, "creatorId": "string", "id": "string", "createdAt": "2019-08-24T14:15:22Z", "status": "PENDING", "price": "string", "updatedAt": "2019-08-24T14:15:22Z", "revertedByEmployeeId": null, "revertedAt": null, "mediaIds": [ "string" ], "scheduledAt": null, "lastSyncedAt": null, "createdByEmployeeId": "string", "text": "string", "previewIds": [ "string" ], "includedListIds": [ "string" ], "excludedListIds": [ "string" ], "userIds": [ "string" ], "includeOnlineFans": true, "autoUnsendAfterSeconds": null, "platformId": null, "recipientCount": 0, "sentCount": 0, "canUnsend": true, "unsendDeadline": null } ], "total": 0, "page": 0, "pageSize": 0, "totalPages": 0 }, "meta": { "requestId": "string" }}Sync creator tracking links POST
Refresh the creator's locally stored tracking links from the connected platform.
Create mass message POST
Create a bulk campaign for the selected audience, with supported media, PPV price and scheduling. This can send to real fans; inspect the campaign state to determine delivery progress.